/*
 * deviced
 *
 * Copyright (c) 2012 - 2013 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <dlfcn.h>
#include <vconf.h>
#include <libgdbus/dbus-system.h>

#include "log.h"
#include "dd-haptic.h"
#include "common.h"

API int haptic_get_count(int *device_number)
{
	_E("Not Supported. Please use capi-system-device apis.");
	return HAPTIC_ERROR_OPERATION_FAILED;
}

API int haptic_open(haptic_device_e device_index, haptic_device_h *device_handle)
{
	_E("Not Supported. Please use capi-system-device apis.");
	return HAPTIC_ERROR_OPERATION_FAILED;
}

API int haptic_close(haptic_device_h device_handle)
{
	_E("Not Supported. Please use capi-system-device apis.");
	return HAPTIC_ERROR_OPERATION_FAILED;
}

API int haptic_vibrate_monotone(haptic_device_h device_handle, int duration, haptic_effect_h *effect_handle)
{
	_E("Not Supported. Please use capi-system-device apis.");
	return HAPTIC_ERROR_OPERATION_FAILED;
}

API int haptic_stop_all_effects(haptic_device_h device_handle)
{
	_E("Not Supported. Please use capi-system-device apis.");
	return HAPTIC_ERROR_OPERATION_FAILED;
}
